using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Orders
{
	[Description("工单词库")]
	public class OrderWord : FullStateEntity
	{
		/// <summary>
		/// 标签
		/// </summary>
		[SugarColumn(ColumnDescription = "标签")]
		public string Tag { get; set; }

		/// <summary>
		/// 分类
		/// </summary>
		[SugarColumn(ColumnDescription = "分类")]
		public string Classify { get; set; }

		/// <summary>
		/// 近义词
		/// </summary>
		[SugarColumn(ColumnDescription = "近义词", ColumnDataType = "text")]
		public string? Synonym { get; set; }

		/// <summary>
		/// 备注
		/// </summary>
		[SugarColumn(ColumnDescription = "备注", ColumnDataType = "text")]
		public string? Remark { get; set; }

		/// <summary>
		/// 更新人
		/// </summary>
		[SugarColumn(ColumnDescription = "更新人")]
		public string? LastModificationName { get; set; }

		/// <summary>
		/// 启禁用
		/// </summary>
		[SugarColumn(ColumnDescription = "启禁用  1  启用  0 禁用")]
		public int IsEnable { get; set; }
	}
}
